Skip to main content
POST
/
signable-templates
/
upload-url
Request a presigned upload URL
curl --request POST \
  --url https://api.artu.ai/signable-templates/upload-url \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Environment: <api-key>' \
  --data '
{
  "contentType": "<unknown>",
  "filename": "<string>"
}
'
{
  "templateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "storagePath": "<string>",
  "upload": {
    "url": "<string>",
    "expiresAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Body

application/json
contentType
any
required
filename
string
required
Required string length: 1 - 255

Response

200 - application/json

OK

templateId
string<uuid>
required
storagePath
string
required
Minimum string length: 1
upload
object
required